#
# makefile for misc functions
#

PROGS=play
CFLAGS=$(DEFS) -O6 -fomit-frame-pointer -I../../include -L../../lib/aout

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o

play: play.c
	$(CC) $(CFLAGS) -o play play.c -lbasis

install: play
	install -d $(DESTDIR)/usr/bin
	install -o bin -g games -m 6551 -c -s play $(DESTDIR)/usr/bin
	install -d -o man -g man $(DESTDIR)/usr/man/man1
	install -o man -g man -m 444 -c play.1 $(DESTDIR)/usr/man/man1
